<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>get_list_of_publishers &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=039e1c02" />
    <script src="../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="pipe" href="../pipe.html" />
    <link rel="prev" title="get_abstract_from_doi_with_request" href="get_abstract_from_doi_with_request.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-scripts.get_list_of_publishers">
<span id="get-list-of-publishers"></span><h1>get_list_of_publishers<a class="headerlink" href="#module-scripts.get_list_of_publishers" title="Link to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="scripts.get_list_of_publishers.main">
<span class="sig-prename descclassname"><span class="pre">scripts.get_list_of_publishers.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file_path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/scripts/get_list_of_publishers.html#main"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#scripts.get_list_of_publishers.main" title="Link to this definition">¶</a></dt>
<dd><p>main function for get_list_of_publishers. Filters list of publishers, and gives ones, present in the fiven dataset.</p>
<dl class="simple">
<dt>Arguments:</dt><dd><p>file_path (str): path to csv file - dataset, with DOIs.
out_dir (str): path to the dir where to save relevant publishers list.
vebose (bool): Optional. Vebose. Defaults to False.</p>
</dd>
<dt>Retunrs:</dt><dd><p>str: path to the result csv file.</p>
</dd>
</dl>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../modules.html">python</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../helpers.html">helpers</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../scripts.html">scripts</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="count_abstracts.html">count_abstracts</a></li>
<li class="toctree-l3"><a class="reference internal" href="epochs_to_db.html">epochs_to_db</a></li>
<li class="toctree-l3"><a class="reference internal" href="get_abstracts.html">get_abstracts</a></li>
<li class="toctree-l3"><a class="reference internal" href="epoch_csv_gen.html">epoch_csv_gen</a></li>
<li class="toctree-l3"><a class="reference internal" href="get_abstract_from_doi_with_request.html">get_abstract_from_doi_with_request</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">get_list_of_publishers</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#scripts.get_list_of_publishers.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="../modules.html">python</a><ul>
  <li><a href="../scripts.html">scripts</a><ul>
      <li>Previous: <a href="get_abstract_from_doi_with_request.html" title="previous chapter">get_abstract_from_doi_with_request</a></li>
      <li>Next: <a href="../pipe.html" title="next chapter">pipe</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/scripts/get_list_of_publishers.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>